aspose file tools*
The moose likes Web Services and the fly likes Help with WSE 1.0 Interoperability Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login


Win a copy of Spring in Action this week in the Spring forum!
JavaRanch » Java Forums » Java » Web Services
Bookmark "Help with WSE 1.0 Interoperability" Watch "Help with WSE 1.0 Interoperability" New topic
Author

Help with WSE 1.0 Interoperability

Kevin G Scott
Greenhorn

Joined: Jan 24, 2005
Posts: 17
Hello all,
I am attempting to write Java clients against a .Net service that uses WSE 1.0. I can't seem to get any of toolkits I have tried to work with this service. Unfortunately, I do not own the service, so I cannot upgrade it to WSE 2.0 or some other modern SOAP library. The problem seems to be that the WSE 1.0 expects namespaces from the July 2002 version of WS-Security, while all the libraries I have tried (JWSDP, Oracle Web Service Wizard, etc) use the oasis namespace from January 2004.

Can anyone suggest an alternative solution to make this work? Is there a way to set the namespace sent in XWS-Security? I think this might solve the problem...

Thanks,
KS
 
I agree. Here's the link: http://aspose.com/file-tools
 
subject: Help with WSE 1.0 Interoperability